""" **Description**
        Version interface.

    **Example**
     
        ::
        
            from diamondback import IVersion

            class Test( IVersion ) :

                def __init__( self ) -> None :
                    super( ).__init__( )
                    self.version = '1.0.1'

            test = Test( )
            test.version = '1.0.2'

    **License**
        `BSD-3C. <https://github.com/larryturner/diamondback/blob/master/license>`_
        © 2018 - 2021 Larry Turner, Schneider Electric Industries SAS. All rights reserved.

    **Author**
        Larry Turner, Schneider Electric, Analytics & AI, 2020-09-23.

"""

class IVersion( object ) :

    """ Version interface.
    """

    @property
    def version( self ) :

        """ version : str.
        """

        return self._version

    @version.setter
    def version( self, version : str ) :

        self._version = version

    def __init__( self ) -> None :

        """ Initialize.
        """

        super( ).__init__( )
        self._version = ''
